Summary: MPI-CH
Name: mpich
Version: 1.1.1
Release: 8
Group: Beowulf
Copyright: Freeware
Url: http://www.mcs.anl.gov/mpi/mpich/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.mcs.anl.gov/pub/mpi/%{name}-%{version}.tar.gz
Patch:  ftp://ftp.mcs.anl.gov/pub/mpi/patch/1.1.1/patch.all
BuildRoot: /var/tmp/%{name}-root

%description
MPI (which stands for Message Passing Interface) is a standard for
writing message-passing programs.  As such the interface attempts to
establish a practical, portable, efficient, and flexible standard for
message passing.

Linux does not currently support the shared memory driver.


%prep
%setup -q -n mpich
%patch -p0


%build
sh ./configure \
	-prefix=/opt/mpich -arch=LINUX -device=ch_p4 \
	-opt=-O2 -noc++ -noromio -nodevdebug \
	-wish=/usr/bin/wish -tcldir=/usr/lib/tcl8.0 -tkdir=/usr/lib/tk8.0
make
make server


%install
rm -rf $RPM_BUILD_ROOT

# make install
mkdir -p $RPM_BUILD_ROOT/opt/mpich
make install PREFIX=$RPM_BUILD_ROOT/opt/mpich

# Fix path
for i in `find $RPM_BUILD_ROOT/opt/mpich -type f`; do
	fgrep -q $RPM_BUILD_ROOT $i && perl -pi -e "s|$RPM_BUILD_ROOT||g" $i
done

# I believe the paths in these 3 files are also wrong
for i in $RPM_BUILD_ROOT/opt/mpich/{bin/mpif77,lib/LINUX/ch_p4/mpif77,\
lib/LINUX/ch_p4/config.status}; do
	perl -pi -e "s|$RPM_BUILD_DIR|/opt|" $i
done

rm -f $RPM_BUILD_ROOT/opt/mpich/examples/mpif.h
ln -s ../include/mpif.h $RPM_BUILD_ROOT/opt/mpich/examples

# Install documentation
cp -a www $RPM_BUILD_ROOT/opt/mpich
cp -a COPYRIGHT README doc/*.ps.gz $RPM_BUILD_ROOT/opt/mpich/doc

# Fix permissions
chmod -R a+rX,g-w,o-w $RPM_BUILD_ROOT/opt/mpich


%files
%defattr(-,root,root)
/opt/mpich


%clean
rm -rf $RPM_BUILD_ROOT
